<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: hooks_interface-vdf.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_60f7e35e1ba30f1cf963b871c636d580.html">user_files</a></li><li class="navelem"><a class="el" href="dir_54780300dbfebe65285bb8a3e469de43.html">hooks_interface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">user_files/hooks_interface/hooks_interface-vdf.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a0a0de6387a107fa394bd3f0a289532fe"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2hooks__interface-vdf_8f90.html#a0a0de6387a107fa394bd3f0a289532fe">momentum_bc_hook_interface</a> (boundary, CHECK_BC)</td></tr>
<tr class="separator:a0a0de6387a107fa394bd3f0a289532fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30503416700c0dcb05055f6fa61da49"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2hooks__interface-vdf_8f90.html#ad30503416700c0dcb05055f6fa61da49">density_bc_hook_interface</a> (boundary, CHECK_BC)</td></tr>
<tr class="separator:ad30503416700c0dcb05055f6fa61da49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8671d776ff9f93cc1c69e6c9786af2c4"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2hooks__interface-vdf_8f90.html#a8671d776ff9f93cc1c69e6c9786af2c4">scalar_bc_hook_interface</a> (boundary, scalar, CHECK_BC)</td></tr>
<tr class="separator:a8671d776ff9f93cc1c69e6c9786af2c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ddd1f2264f7bdc04edbcdea29768d2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2hooks__interface-vdf_8f90.html#a98ddd1f2264f7bdc04edbcdea29768d2">scalar_source_mid_hook_interface</a> (scalar)</td></tr>
<tr class="separator:a98ddd1f2264f7bdc04edbcdea29768d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed399ab81d2c39a01c91a38c7a3289ce"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="user__files_2hooks__interface_2hooks__interface-vdf_8f90.html#aed399ab81d2c39a01c91a38c7a3289ce">property_hook_interface</a> (property)</td></tr>
<tr class="separator:aed399ab81d2c39a01c91a38c7a3289ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ad30503416700c0dcb05055f6fa61da49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad30503416700c0dcb05055f6fa61da49">&#9670;&nbsp;</a></span>density_bc_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine density_bc_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0a0de6387a107fa394bd3f0a289532fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a0de6387a107fa394bd3f0a289532fe">&#9670;&nbsp;</a></span>momentum_bc_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine momentum_bc_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed399ab81d2c39a01c91a38c7a3289ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed399ab81d2c39a01c91a38c7a3289ce">&#9670;&nbsp;</a></span>property_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine property_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(property_var_t), intent(inout)&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8671d776ff9f93cc1c69e6c9786af2c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8671d776ff9f93cc1c69e6c9786af2c4">&#9670;&nbsp;</a></span>scalar_bc_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_bc_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>CHECK_BC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a98ddd1f2264f7bdc04edbcdea29768d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ddd1f2264f7bdc04edbcdea29768d2">&#9670;&nbsp;</a></span>scalar_source_mid_hook_interface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine scalar_source_mid_hook_interface </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
